org.apache.solr.common.cloud

## Class DocRouter.Range

- java.lang.Object
- - org.apache.solr.common.cloud.DocRouter.Range

- All Implemented Interfaces:
    Comparable<DocRouter.Range>, org.noggit.JSONWriter.Writable
  Enclosing class:
    DocRouter

      public static class DocRouter.Range
      extends Object
      implements org.noggit.JSONWriter.Writable, Comparable<DocRouter.Range>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `max`
    `int` | `min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Range(int min, int max)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DocRouter.Range that)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `includes(int hash)`
    `boolean` | `isSubsetOf(DocRouter.Range superset)`
    `boolean` | `overlaps(DocRouter.Range other)`
    `String` | `toString()`
    `void` | `write(org.noggit.JSONWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### min

          public int min

    - #### max

          public int max

  - ### Constructor Detail

    - #### Range

          public Range(int min,
                       int max)

  - ### Method Detail

    - #### includes

          public boolean includes(int hash)

    - #### isSubsetOf

          public boolean isSubsetOf(DocRouter.Range superset)

    - #### overlaps

          public boolean overlaps(DocRouter.Range other)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### write

          public void write(org.noggit.JSONWriter writer)

      Specified by:
        `write` in interface `org.noggit.JSONWriter.Writable`

    - #### compareTo

          public int compareTo(DocRouter.Range that)

      Specified by:
        `compareTo` in interface `Comparable<DocRouter.Range>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.